• Welcome
  • API Reference
Precipitation Data
    Daily Precipitation DatagetHourly Precipitation DatagetMinutely Precipitation RategetLast N Hours Precipitation DatagetRecent Rain Eventget
Soil Data
    Daily Soil MoisturegetHourly Soil MoisturegetSoil TemperaturegetSnow Depthget
Atmospheric Data
    Air TemperaturegetSpecific HumiditygetRelative HumiditygetWind SpeedgetWind GustsgetWind DirectiongetCloud CovergetSolar Radiationget
Bulk Export
    Create Bulk Exportpost
Map Services
    Esri Image Server IntegrationgetMap Layer TilesgetQueryget
Embed Widgets
    Embeddable HTML UIget
MCP Servers
    MCP ServerpostMCP Server (x402 Pay-per-use)post
Other endpoints
    Redirect to Dev PortalgetRedirect to new Dev PortalgetHourly Precipitation Data (x402)getMinutely Precipitation Rate (x402)getLast N Hours Precipitation Data (x402)getRecent Rain Event (x402)getDaily Soil Moisture (x402)getHourly Soil Moisture (x402)getHourly Soil Temperature 0-10cm (x402)getHourly Air Temperature (x402)getHourly Specific Humidity (x402)getHourly Relative Humidity (x402)getHourly Wind Speed (x402)getHourly Wind Gust Speed (x402)getHourly Wind Direction (x402)getHourly Cloud Cover (x402)getHourly Solar Radiation (x402)getx402 (GET) via Orthogonalgetx402 (POST) via Orthogonalpost
Schemas
powered by Zuplo
Precipitation & Weather Data API
Precipitation & Weather Data API

Precipitation Data

Endpointhttps://api.precip.ai

Endpoints for retrieving precipitation measurements and forecasts


Daily Precipitation Data

GET
https://api.precip.ai
/api/v1/daily

Returns comprehensive daily precipitation data for the given time range and location(s). Each day includes precipitation amount, type (rain/snow/mixed), probability (for forecasts), and data source. Seamlessly combines historical observations with forecast data depending on the requested time range.

Daily Precipitation Data › query Parameters

start
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2024-01-04
Default: 2024-01-04
end
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2024-02-04
Default: 2024-02-04
longitude
​string · required

comma separated list of longitudes

Example: -122.42616,-71.06053,-90.07447
Default: -122.42616,-71.06053,-90.07447
latitude
​string · required

comma separated list of latitudes

Example: 37.75750,42.35355,29.97991
Default: 37.75750,42.35355,29.97991
timeZoneId
​string

IANA timezone identifier e.g. America/Chicago

Default: America/Chicago
format
​

Output format: geojson, json or csv

Default: json

Daily Precipitation Data › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key.

Example: Bearer YOUR_API_KEY

Daily Precipitation Data › Responses

Daily precipitation data successfully retrieved

type
​string · enum · required
Enum values:
FeatureCollection
​object[] · required
GET/api/v1/daily
curl --request GET \ --url 'https://api.precip.ai/api/v1/daily?start=2024-01-04&end=2024-02-04&longitude=-122.42616%2C-71.06053%2C-90.07447&latitude=37.75750%2C42.35355%2C29.97991' \ --header 'Authorization: <string>'
shell
Example Responses
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "geometry": { "type": "Point", "coordinates": [ -84.281508334, 43.631819304 ] }, "properties": { "days": [ { "precip": 0, "precip_probability": null, "precip_type": "rain", "startTime": "2024-06-11T12:00:00+0000", "source": "observation" }, { "precip": 4.7, "precip_probability": null, "precip_type": "rain", "startTime": "2025-06-09T12:00:00+0000", "source": "observation" }, { "precip": 0.8, "precip_probability": 22, "precip_type": "rain", "startTime": "2025-06-12T12:00:00+0000", "source": "forecast" }, { "precip": 5.4, "precip_probability": null, "precip_type": "snow", "startTime": "2024-12-04T12:00:00+0000", "source": "observation" } ], "timeZoneId": "GMT" } } ] }
json
application/json

Hourly Precipitation Data

GET
https://api.precip.ai
/api/v1/hourly

Returns comprehensive hourly precipitation data for the given time range and location(s). Each hour includes precipitation amount, type (rain/snow/mixed), probability (for forecasts), and data source. Seamlessly combines historical observations with forecast data depending on the requested time range.

Hourly Precipitation Data › query Parameters

start
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2024-01-04
Default: 2024-01-04
end
​string · required

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S

Example: 2024-02-04
Default: 2024-02-04
longitude
​string · required

comma separated list of longitudes

Example: -122.42616,-71.06053,-90.07447
Default: -122.42616,-71.06053,-90.07447
latitude
​string · required

comma separated list of latitudes

Example: 37.75750,42.35355,29.97991
Default: 37.75750,42.35355,29.97991
timeZoneId
​string

IANA timezone identifier e.g. America/Chicago

Default: America/Chicago
format
​

Output format: geojson, json or csv

Default: json

Hourly Precipitation Data › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key.

Example: Bearer YOUR_API_KEY

Hourly Precipitation Data › Responses

Successful Response

type
​string · enum · required
Enum values:
FeatureCollection
​object[] · required
GET/api/v1/hourly
curl --request GET \ --url 'https://api.precip.ai/api/v1/hourly?start=2024-01-04&end=2024-02-04&longitude=-122.42616%2C-71.06053%2C-90.07447&latitude=37.75750%2C42.35355%2C29.97991' \ --header 'Authorization: <string>'
shell
Example Responses
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "geometry": { "type": "Point", "coordinates": [ -84.281508334, 43.631819304 ] }, "properties": { "hours": [ { "startTime": "2024-06-11T12:00:00+0000", "precip": 0, "precip_probability": null, "precip_type": "rain", "source": "observation" }, { "startTime": "2024-06-11T13:00:00+0000", "precip": 2.5, "precip_probability": null, "precip_type": "rain", "source": "observation" }, { "startTime": "2024-06-12T12:00:00+0000", "precip": 1.2, "precip_probability": 25, "precip_type": "rain", "source": "forecast" }, { "startTime": "2024-12-04T12:00:00+0000", "precip": 0.8, "precip_probability": null, "precip_type": "snow", "source": "observation" } ], "timeZoneId": "GMT" } } ] }
json
application/json

Minutely Precipitation Rate

GET
https://api.precip.ai
/api/v1/minutely

Returns 1-minute precipitation rate for the given time range and location(s). Historical minutes come from radar analysis available from 2026-01-01). Recent gaps and the next 60 minutes are filled from the Precip AI nowcast interpolated to minute timesteps. Each minute includes instantaneous rate (mm/h), precipitation type joined from hourly analysis/forecast, and a source of observation, nowcast, or forecast. Default window is now-1h to now+1h. Maximum span is 7 days.

Minutely Precipitation Rate › query Parameters

longitude
​string · required

comma separated list of longitudes

Example: -122.42616,-71.06053,-90.07447
Default: -122.42616,-71.06053,-90.07447
latitude
​string · required

comma separated list of latitudes

Example: 37.75750,42.35355,29.97991
Default: 37.75750,42.35355,29.97991
start
​string

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S, or relative now-1h. Snapped to the UTC minute. Defaults to now-1h when both start and end are omitted.

Example: now-1h
end
​string

ISO 8601 date %Y-%m-%d or datetime %Y-%m-%dT%H:%M:%S, or relative now+1h. Snapped to the UTC minute. Defaults to now+1h when both start and end are omitted. Maximum end - start is 7 days.

Example: now+1h
timeZoneId
​string

IANA timezone identifier e.g. America/Chicago

Default: America/Chicago
format
​

Output format: geojson, json or csv

Default: json
units
​

Display system: metric (mm/h, default) or imperial (in/h)

Default: metric

Minutely Precipitation Rate › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key.

Example: Bearer YOUR_API_KEY

Minutely Precipitation Rate › Responses

Minutely precipitation rate successfully retrieved

type
​string · enum · required
Enum values:
FeatureCollection
​object[] · required
GET/api/v1/minutely
curl --request GET \ --url 'https://api.precip.ai/api/v1/minutely?longitude=-122.42616%2C-71.06053%2C-90.07447&latitude=37.75750%2C42.35355%2C29.97991' \ --header 'Authorization: <string>'
shell
Example Responses
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "geometry": { "type": "Point", "coordinates": [ -122.42616, 37.7575 ] }, "properties": { "minutes": [ { "startTime": "2026-09-19T19:45:00+0000", "precip_rate": 1.23, "precip_type": "rain", "source": "observation" }, { "startTime": "2026-09-19T20:10:00+0000", "precip_rate": 0.4, "precip_type": "rain", "source": "nowcast" }, { "startTime": "2026-09-19T20:45:00+0000", "precip_rate": 2.1, "precip_type": "rain", "source": "forecast" } ], "timeZoneId": "America/Chicago", "unit": "mm/h" } } ] }
json
application/json

Last N Hours Precipitation Data

GET
https://api.precip.ai
/api/v1/last-{hours}

Total precipitation in the last N hours for the given location(s). Use 12, 24, 48, or 168 (7 days) in the path.

Last N Hours Precipitation Data › path Parameters

hours
​string · enum · required

Number of hours: 12, 24, 48, or 168 (7 days).

Enum values:
12
24
48
168
Example: 48

Last N Hours Precipitation Data › query Parameters

longitude
​string · required

comma separated list of longitudes

Example: -122.42616,-71.06053,-90.07447
Default: -122.42616,-71.06053,-90.07447
latitude
​string · required

comma separated list of latitudes

Example: 37.75750,42.35355,29.97991
Default: 37.75750,42.35355,29.97991
timeZoneId
​string

IANA timezone identifier e.g. America/Chicago

Default: America/Chicago
format
​

Output format: geojson, json or csv

Default: json

Last N Hours Precipitation Data › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key.

Example: Bearer YOUR_API_KEY

Last N Hours Precipitation Data › Responses

Successful Response

type
​string · enum · required
Enum values:
FeatureCollection
​object[] · required
GET/api/v1/last-{hours}
curl --request GET \ --url 'https://api.precip.ai/api/v1/last-:hours?longitude=-122.42616%2C-71.06053%2C-90.07447&latitude=37.75750%2C42.35355%2C29.97991' \ --header 'Authorization: <string>'
shell
Example Responses
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "properties": { "precip": 1.5999999046325684, "endTime": "2024-01-27T23:41:30" }, "geometry": { "type": "Point", "coordinates": [ -79.19495, 36.43939 ] } } ] }
json
application/json

Recent Rain Event

GET
https://api.precip.ai
/api/v1/recent-rain

Returns detailed information about the most recent precipitation event for the given location(s), including total amounts, precipitation type (rain/snow), timing, and how long ago it occurred. A rain event is defined as more than 1/10 inch (2.5mm) of precipitation with less than a 24-hour gap between occurrences.

Recent Rain Event › query Parameters

longitude
​string · required

comma separated list of longitudes

Example: -122.42616,-71.06053,-90.07447
Default: -122.42616,-71.06053,-90.07447
latitude
​string · required

comma separated list of latitudes

Example: 37.75750,42.35355,29.97991
Default: 37.75750,42.35355,29.97991
timeZoneId
​string

IANA timezone identifier e.g. America/Chicago

Default: America/Chicago
format
​

Output format: geojson, json or csv

Default: json

Recent Rain Event › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key.

Example: Bearer YOUR_API_KEY

Recent Rain Event › Responses

Recent rain event data successfully retrieved

type
​string · enum · required
Enum values:
FeatureCollection
​object[] · required
GET/api/v1/recent-rain
curl --request GET \ --url 'https://api.precip.ai/api/v1/recent-rain?longitude=-122.42616%2C-71.06053%2C-90.07447&latitude=37.75750%2C42.35355%2C29.97991' \ --header 'Authorization: <string>'
shell
Example Responses
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "geometry": { "type": "Point", "coordinates": [ -84.281508334, 43.631819304 ] }, "properties": { "precip": 4.7, "precip_type": "rain", "slr": 10, "snow": 0, "rain": 4.7, "endTime": "2025-06-09T23:00:00+0000", "ago": "45 hours", "details": "new data" } } ] }
json
application/json

Soil Data